Hop til hovedindhold

Statushistorik

Hent statushistorik

GET /api/v1/kyc/cases/:id/status-history

Hent den fulde statushistorik — viser hvornår sagen skiftede status.

Scope: kyc:read

Path parametre

ParameterTypeBeskrivelse
idintegerKYC-sagens ID

Response-felter

FeltTypeBeskrivelse
statusstringStatus (DRAFT, IN_PROGRESS, PENDING_REVIEW, osv.)
changed_atstringTidspunkt for statusskift

Eksempel

curl https://auditply.dk/api/v1/kyc/cases/42/status-history \
-H "X-API-Key: ap_live_..."
Response — 200 OK
{
"data": [
{ "status": "DRAFT", "changed_at": "2025-01-10T09:00:00.000Z" },
{ "status": "IN_PROGRESS", "changed_at": "2025-01-15T10:30:00.000Z" },
{ "status": "PENDING_REVIEW", "changed_at": "2025-03-01T14:00:00.000Z" },
{ "status": "REVIEWED", "changed_at": "2025-03-10T09:15:00.000Z" },
{ "status": "COMPLETED", "changed_at": "2025-03-15T14:30:00.000Z" }
],
"meta": {
"api_version": "v1",
"timestamp": "2026-04-13T12:00:00.000Z"
}
}